# Model.Perspective
Date: 2019-11-17

org.deidentifier.arx.gui.model

## Enum Model.Perspective

- java.lang.Object
- - java.lang.Enum<Model.Perspective>
  - - org.deidentifier.arx.gui.model.Model.Perspective

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Model.Perspective>

Enclosing class:
  Model

    public static enum Model.Perspective
    extends java.lang.Enum<Model.Perspective>

The currently selected perspective

Author:
  Fabian Prasser

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ANALYSIS`
`CONFIGURATION`
`EXPLORATION`
`RISK`

### Method Summary

All Methods Static Methods Concrete Methods
`static Model.Perspective` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Model.Perspective[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONFIGURATION

    public static final Model.Perspective CONFIGURATION

#### EXPLORATION

    public static final Model.Perspective EXPLORATION

#### ANALYSIS

    public static final Model.Perspective ANALYSIS

#### RISK

    public static final Model.Perspective RISK

### Method Detail

#### values

    public static Model.Perspective[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Model.Perspective c : Model.Perspective.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Model.Perspective valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null